---
title: PointerEvent.pointerType
slug: Web/API/PointerEvent/pointerType
tags:
  - API
  - DOM
  - Interface
  - PointerEvent
  - Property
  - Reference
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>pointerType</code></strong> read-only property of the {{domxref("PointerEvent")}} interface indicates the device type (mouse, pen, or touch) that caused a given pointer event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pType</em> = <em>pointerEvent</em>.pointerType;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>pType</code></dt>
 <dd>The event's pointer type. The supported values are the following strings:<br>

 <dl>
  <dt><code>"mouse"</code></dt>
  <dd>The event was generated by a mouse device.</dd>
  <dt><code>"pen"</code></dt>
  <dd>The event was generated by a pen or stylus device.</dd>
  <dt><code>"touch"</code></dt>
  <dd>The event was generated by a touch, such as a finger.</dd>
 </dl>
 </dd>
</dl>

<p>If the device type cannot be detected by the browser, the value can be an empty string (<code>""</code>). If the browser supports pointer device types other than those listed above, the value should be <em>vendor-prefixed</em> to avoid conflicting names for different types of devices.</p>

<h2 id="Example">Example</h2>

<p>This example illustrates using the value of the <code>pointerType</code> property to call the appropriate pointer type processing function.</p>

<pre class="brush: js">targetElement.addEventListener('pointerdown', function(event) {
  // Call the appropriate pointer type handler
  switch (event.pointerType) {
    case 'mouse':
      process_pointer_mouse(event);
      break;
    case 'pen':
      process_pointer_pen(event);
      break;
    case 'touch':
      process_pointer_touch(event);
      break;
    default:
      console.log(`pointerType ${event.pointerType} is not suported`);
  }
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-PointerEventInit-pointerType', 'pointerType')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-pointertype', 'pointerType')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View','#extensions-to-the-mouseevent-interface', 'MouseEvent')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Redefines {{domxref("MouseEvent")}} from <code>long</code> to <code>double</code>. This means that a {{domxref("PointerEvent")}} whose <code>pointerType</code> is mouse will be a <code>double</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.pointerType", 2)}}</p>
